
ServerEvents.recipes(event => {
    // Gate create behind finding tin and basic ore crushing hammers
    event.remove({output: 'create:andesite_alloy'});
    event.shapeless('2x create:andesite_alloy', [
        '2x minecraft:andesite',
        global.dustItem('tin', 2),
    ]);

    event.recipes.thermal.smelter(
        '6x create:andesite_alloy',
        ['2x minecraft:andesite', '#forge:dusts/tin']
    );

    event.shapeless('2x create:cogwheel', [
        'thermal:tin_gear',
        '#minecraft:planks',
    ]);

    // Allow certus quartz to be used for rose quartz
    event.replaceInput({output: 'create:rose_quartz'},
        'minecraft:quartz',
        '#forge:gems/quartz',
    );
    event.shapeless('create:rose_quartz', [
        'ae2:certus_quartz_crystal',
        '8x minecraft:redstone',
    ]);
    
    // Crushing wheels can either come from finding diamonds (expensive) or build grist (cheap, eventually)
    event.shaped('create:crushing_wheel', [
        'CBC',
        'BAB',
        'CBC'
    ], {
        'A': '#kubejs:grist/build/basic',
        'B': 'thermal:tin_gear',
        'C': 'create:andesite_alloy',
    });

    event.shaped('create:crushing_wheel', [
        'CBC',
        'BAB',
        'CBC'
    ], {
        'A': 'minecraft:diamond',
        'B': 'thermal:tin_gear',
        'C': 'create:andesite_alloy',
    });
});